#include <iostream>

using namespace std;

int main()
{
     int a1,a,b,c,d,e;
     char c1;
     cin>>c;
     cin>>a>>b>>e>>d;
     for(int i;i<c;i++)
        {
            cin>>c1>>a1;
        }
     cout<<"nemoguce";

    return 0;
}